# Review: https://bugzilla.redhat.com/show_bug.cgi?id=499132

%global srcname alarm-clock-applet

Name:           gnome-applet-alarm-clock
Version:        0.3.2
Release:        1%{?dist}
Summary:        Alarm clock for the GNOME panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://alarm-clock.pseudoberries.com
Source0:        http://launchpad.net/alarm-clock/trunk/%{version}/+download/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  GConf2-devel
BuildRequires:  gnome-icon-theme
BuildRequires:  gstreamer-devel >= 0.10.2
BuildRequires:  libnotify-devel >= 0.4.1
BuildRequires:  unique-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gettext
Requires:       gnome-icon-theme
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Alarm Clock is a fully-featured alarm clock for the GNOME panel. It's easy to 
use yet powerful with support for multiple repeatable alarms, as well as 
snoozing and a flexible notification system. 

%prep
%setup -qn %{srcname}-%{version}


%build
%configure --disable-schemas-install
make %{?_smp_mflags} V=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{srcname}.desktop
%find_lang %{srcname}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
%gconf_schema_prepare alarm-clock


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%gconf_schema_upgrade alarm-clock


%preun
%gconf_schema_remove alarm-clock


%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{srcname}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/alarm-clock.schemas
%{_bindir}/%{srcname}
%{_datadir}/%{srcname}/
%{_datadir}/applications/%{srcname}.desktop
%{_datadir}/icons/hicolor/*/apps/alarm-*.*


%changelog
* Fri May 06 2011 Christoph Wickert <wickert@kolabsys.com> - 0.3.2-1
- Update to 0.3.2, adds proper support for libnotify 0.7.x (699140)
- Remove patches that are included upstream

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 06 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-3
- Fix for libnotify 0.7.0

* Mon Sep 27 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-2
- Fix crash when enabling autostart (#615699 and #619770)

* Sun Jul 04 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1 (fixes #597043)
- Switch to new GConf scriptlet macros

* Sun Mar 21 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Mon Nov 23 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.6-1
- Update to 0.2.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.5-1
- Initial Fedora package
